Name: qmpdclient
Version: 1.0.6.2
Release: alt0.M24.1

Summary: Qt4-based mpd client
License: GPL
Group: Sound
Url: http://havtknut.tihlde.org/qmpdclient/

Source: %url/%name-%version.tar.gz
BuildPreReq: ImageMagick
# Automatically added by buildreq on Mon Dec 18 2006
# manually removed qt4-settings
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libqt4-devel libstdc++-devel

%description
QMPDClient is an easy to use MPD client written in Qt 4.1.

%prep
%setup -q

%build
export PATH=$PATH:%_qt4dir/bin
%__subst 's,/local,,' qmpdclient.pro
qmake
%__subst 's|-pipe -D_REENTRANT|%optflags|g' Makefile
%make_build

%install
%makeinstall INSTALL_ROOT=%buildroot

# Menu & icons
%__mkdir -p %buildroot{%_menudir,%_liconsdir,%_miconsdir}
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs=x11 icon="%name.png" \
section="Multimedia/Sound" title="MPD client" \
longtitle="QMPDClient is an easy to use MPD client written in Qt 4.1" \
command=%_bindir/%name
EOF

convert -resize 16x16 icons/qmpdclient128.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 icons/qmpdclient128.png %buildroot%_iconsdir/%name.png
convert -resize 48x48 icons/qmpdclient128.png %buildroot%_liconsdir/%name.png

%files
%_bindir/*
%doc AUTHORS Changelog README THANKSTO
%_menudir/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon Dec 18 2006 Motsyo Gennadi <drool@altlinux.ru> 1.0.6.2-alt0.M24.1
- backport to ALT Linux 2.4 Master
- add menu file
- add icons
- fix optflags
- run buildreq script

* Sat Oct 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt1
- 1.0.6.2

* Fri Oct 13 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.1-alt1
- 1.0.6.1

* Sat Sep 30 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.5-alt1
- initial build
